Page MenuHomePhabricator

Goal: Organize the start of Outreachy round 11
Closed, ResolvedPublic

Description

We need to organize the next Outreachy round. In fact, the round has started already: https://wiki.gnome.org/Outreachy/2015/DecemberMarch

First step: find two org admins (or more).

Measurement of success

  • Organization driven by volunteers.
  • 5 featured project ideas.
  • Selection process completed and documented.

Dependency

Volunteer org admins and mentors

ETA

DevRel-November-2015

Connection with WMF Call to Action

Related Objects

Event Timeline

Qgil created this task.Sep 11 2015, 2:09 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, Niharika, Aklapper.
Qgil added a comment.EditedSep 11 2015, 2:15 PM

I had to squeeze this task in DevRel-September-2015 and I am assigning it to myself for now, but my intention is to find another owner as soon as possible.

I really want and need to complete the delegation started with @NiharikaKohli in the previous GSoC/Outreachy round, and I also think we need to reflect the new status of Developer-Advocacy where @Aklapper owns the open source contributors area. However, both Andre and Niharika are very busy, and in an ideal world they would receive help from a new volunteer org admin, stepping in to learn and improve just like Niharika did half year ago.

The Winter-in-Northern-hemisphere round of Outreachy tends to be pretty simple compared to the Summer round combined with GSoC. Who wants to step in? We have everything relatively well documented at https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project

Hi @Qgil, I don't mind filing in until you find someone else and delegating my duties to them instead. I'd suggest we ask our interns from last round if they want to volunteer, It's a good way of keeping them engaged.

Qgil reassigned this task from Qgil to Niharika.Sep 13 2015, 1:09 PM

Thank you Niharika, really appreciated. I'm flying back home. Let's talk about the next steps on IRC on Monday if you are around.

AniVar added a subscriber: AniVar.Sep 14 2015, 7:57 AM

I am interested . I was an Org admin with in 2007, 2013 and 2014 Gsoc's with Swathanthra Malayalam Computing . (http://smc.org.in) . I can spend 2-4 hours per week , in an average .

Anivar Aravind

I am interested and also new to MediaWiki. This will give me a chance to know the organisation and how they run their affairs. I really 100% interested in the Outreach. Please how do i start?

Hi @Qgil i am interested to be the org admin. Can you please inform me more?

Qgil added a comment.Sep 14 2015, 8:58 AM

@D3r1ck01 was on IRC, so we discussed his situation. We agreed that he will start working on annoying little bugs to familiarize himself with our software and our community. Actually he might be a good GSoC candidate himself in a few months.

@AniVar @Nasirkhan thank you very much for your quick replies! You have both very interesting profiles. Maybe you and other potential candidates could join T110929: GSoC and Outreachy IRC wrap-up showcase and then talk about Outreachy 11 right afterward?

Hi @Qgil, I'll be interested in this as I have the time to dedicate. You know my background so if you feel I'll be able to provide something, do ask :) otherwise other volunteers can take priority over me. Thanks.

Qgil moved this task from Backlog to Doing on the DevRel-September-2015 board.Sep 15 2015, 6:37 AM

I have created Outreachy-Round-11 and I will create the first tasks, welcoming takers. These tasks should be doable by fresh org admins, and if you have questions just ask.

W don't need to compete to have ONE additional org admin. It is a lot healthier to have more people around, each one of us having to carry less responsibility weight than if we would be doing this alone. We will need a primary and a secondary org admin though, to interface with the GNOME Foundation and to avoid letting things fall between the cracks. What about checking by the end of this month who is still up to the task?

Qgil renamed this task from Organize Outreachy round 11 to Goal: Organize the start of Outreachy round 11.Sep 16 2015, 9:22 AM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil updated the task description. (Show Details)Sep 16 2015, 9:32 AM
Qgil added a comment.Sep 17 2015, 9:19 AM

Is anybody interested in volunteering as org-admin willing to take any of the tasks listed above (Blocked By)?

If you have doubts or questions just share them here or privately. I'm very happy to help.

Iamneha added a subscriber: Iamneha.Oct 3 2015, 2:54 PM

I may be a mentor for proposal(s) for T91626, and especially if this round won't have a dedicated "org-admin", the wiki pages need to be much clearer for n00b candidates and mentors. I updated Outreachy/Round 11 with pearls of wisdom from @NiharikaKohli , but there's more work required, I created a subtask, T114704: Clean up Mentorship wiki pages now we're running these on Phabricator.

Qgil added a comment.Oct 7 2015, 4:21 PM

Is anybody interested in volunteering as org-admin willing to take any of the tasks listed above (Blocked By)?

In these 3 weeks we have got help from some volunteers, including many new faces. Thank you very much!

We need to identify our org admins to the Outreachy organizers, and this is what we have decided:

@tonythomas is our new primary co-mentor! A former GSoC student and a former GSoC mentor, an impressive background for this job.

@niharikakohli will support Tony as secondary org admin, after having learned and created a lot as primary org admin in our previous GSoC / Outreachy round.

Congratulations, and big thank you to both!

To the other volunteers that showed interest, you can still help. Staying round in this round will be helpful to become a better Wikimedia org admin in the next round. If we can afford keeping the rotation, we will.

fyi. Can you reply to @Niedzielski, please?

@Qgil, the guidelines say to respect the timeline. However, the timeline[2] doesn't include a decision deadline. At what point, should we formally accept / decline candidates? Also, should I be seeing more than one proposal in GNOME Outreachy?
[2] https://www.mediawiki.org/wiki/Outreachy/Round_11#Timeline

Qgil moved this task from Backlog to Organization on the Outreachy-Round-11 board.Oct 28 2015, 2:55 PM

I'd really welcome feedback on T114704: Clean up Mentorship wiki pages now we're running these on Phabricator which is the last open task blocking this task.

Strange that we still have this one open !

I've removed unresolved T114704: Clean up Mentorship wiki pages now we're running these on Phabricator from the "Blocked By" list as we managed to run Outreachy 11 without fixing it. For sure fixing would be nice but it does not block this task IMHO.

@NiharikaKohli: Anything else left to do / fix in this task or can it be closed as resolved?

Qgil closed this task as Resolved.Jan 12 2016, 7:23 AM
Qgil added a comment.Jan 12 2016, 3:58 PM

Yesterday I resolved this task maybe too fast. It is one of and therefore we need to check the success criteria:

  • Organization driven by volunteers.
  • 5 featured project ideas.
  • Selection process completed and documented.

Thank you @01tonythomas and @NiharikaKohli (and many others who helped achieving this goal). We set a very important precedent of volunteer-driven effort that I hope we can keep in future rounds.